#ifndef RICOSCONFIG_H
#define RICOSCONFIG_H "$Id: ricosconfig.h 1.7 2007/03/08 13:27:40 ilgiga Exp $"
/*
	file name   :	$Source: R:/StmOO/Master/cg/LangC/osconfig/VxWorks/rcs/ricosconfig.h $
	file version:	$Revision: 1.7 $

	purpose:	 	VxWorks adaptor OS configuration file


	author(s):		Amos Ortal

	date started:	July 2002

	date changed:	$Date: 2007/03/08 13:27:40 $
	last change by:	$Author: ilgiga $

	Licensed Materials - Property of IBM
	(c) Copyright IBM Corporation 2002, 2017. All Rights Reserved.
*/

typedef	long RiC_StackSizeType;
typedef	int RiC_MessageQueueSizeType;
typedef	int RiC_ThreadPriorityType;
typedef	long RiC_TimeOutType;
typedef unsigned long RiC_SEM_ARGS_TYPE;

/************************************
// flags
************************************/
#define RIC_OS_TOLOWER_DEFINED_IN_CTYPE

/************************************
// include files 
************************************/
#include <stdlib.h>

#include <vxWorks.h>
#include <version.h>
#if ((_WRS_VXWORKS_MAJOR >5) && (_WRS_VXWORKS_MINOR >5))
	#ifdef _WRS_KERNEL
		#if (_WRS_VXWORKS_MINOR >8)
			#include <perfMgrLib.h>
			typedef  TASK_ID RiCOSHandle;
		#else
			#include <cpuPwrLib.h>
			typedef  int RiCOSHandle;
			typedef	 int _Vx_usr_arg_t;
 			#define TASK_ID_ERROR ERROR
		#endif
		/* power mode */
		typedef CPU_PWR_P_STATE  OMPowerMode_t;
		#define OMPwrModeNone (OMPowerMode_t)0
	#else
		#if (_WRS_VXWORKS_MINOR >8)
			typedef  TASK_ID RiCOSHandle;
		#else
			typedef  int RiCOSHandle;
			typedef int _Vx_usr_arg_t;
			#define TASK_ID_ERROR ERROR
    #endif
		typedef enum {OMPwrModeNone} OMPowerMode_t;
	#endif
#else
	typedef int RiCOSHandle;
	typedef int _Vx_usr_arg_t;
	#define TASK_ID_ERROR ERROR
	typedef enum {OMPwrModeNone} OMPowerMode_t;
#endif /* VXWORKS_VERSION_6_6_OR_BETTER */

/************************************
// Macros
************************************/
#define OMitoa(val,str,radix) sprintf(str,"%lu",(unsigned long)val)

#define OM_NOTIFY_ERROR(call,func)

#endif /* RICOSCONFIG_H */

/*
//$Log: ricosconfig.h $
//Revision 1.7  2007/03/08 13:27:40  ilgiga
//Change copyright comment
//Revision 1.6  2007/03/01 11:22:47  ilgiga
//Telelogic instead of I-Logix
//Revision 1.5  2006/02/12 16:08:51  vova
//RiC_SEM_ARGS_TYPE typedef  added
//Revision 1.4  2006/01/17 15:24:50  vova
//Revision 1.3  2002/08/01 10:41:21  amos
//add missing #include
//Revision 1.2  2002/07/22 10:21:08  amos
//add definition of the RIC_OS_TOLOWER_DEFINED_IN_CTYPE, in order to include ctype.h in RiCString.c under VxWorks
//Revision 1.1  2002/07/14 08:15:22  amos
//Initial revision


*/
