/********************************************************************************
*Licensed Materials - Property of IBM
*(c) Copyright IBM Corporation 2008, 2016. All Rights Reserved.
*
*Note to U.S. Government Users Restricted Rights:  
*Use, duplication or disclosure restricted by GSA ADP Schedule 
*Contract with IBM Corp.
********************************************************************************/

function main(){
    var mapping=new Array();
    
    
    mapping.SystemMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "PncMapping");
    };
    
    mapping.ValueSpecification=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    };
    
    mapping.SwRecordLayoutV=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    };
    
    mapping.TDEventOccurrenceExpression=
    function(element){
    	handleDeleteStereotype(element, "TDEventOccurrenceExpression");
    	handleDeleteStereotypeFromAggregates(element, "argument");
    	handleDeleteStereotypeFromAggregates(element, "TDEventOccurrenceExpressionFormula");
    	handleDeleteStereotypeFromAggregates(element, "AutosarVariableInstance");
    };
    
    mapping.UserDefinedPdu=
    function(element){
    	handleDeleteTag(element, "cddType");
    	handleDeleteStereotype(element, "UserDefinedPdu");
    };
    
    mapping.PortGroupInSystemInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "PortGroupInSystemInstanceRef");
    	handleDeleteStereotype(element, "l_contextComponent");
    	handleDeleteStereotype(element, "l_contextComposition");
    	handleDeleteStereotype(element, "l_target");
    };
    
    mapping.FlexrayNmCluster=
    function(element){
    	handleDeleteTag(element, "nmCarWakeUpBitPosition");
    	handleDeleteTag(element, "nmCarWakeUpFilterEnabled");
    	handleDeleteTag(element, "nmCarWakeUpFilterNodeId");
    	handleDeleteTag(element, "nmCarWakeUpRxEnabled");
    };
    
    mapping.StructuredReq=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.BswInternalBehavior=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "perInstanceParameter");
    	handleDeleteStereotypeFromAggregates(element, "BswSchedulerNamePrefix");
    	handleDeleteStereotypeFromAggregates(element, "BswServiceDependency");
    };
    
    mapping.SwSystemconstDependentFormula=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_syscString");
    };
    
    mapping.OperationArgumentInComponentInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "OperationArgumentInComponentInstanceRef");
    	handleDeleteStereotype(element, "l_base");
    	handleDeleteStereotype(element, "l_contextComponent");
    	handleDeleteStereotype(element, "l_contextDataPrototype");
    	handleDeleteStereotypeFromAggregates(element, "l_contextOperation");
    	handleDeleteStereotypeFromAggregates(element, "l_contextPortPrototype");
    	handleDeleteStereotypeFromAggregates(element, "l_rootArgumentDataPrototype");
    	handleDeleteStereotype(element, "l_targetDataPrototype");
    };
    
    mapping.Xref=
    function(element){
    	handleDeleteTag(element, "showResourceCategory");
    };
    
    mapping.AutosarVariableInstance=
    function(element){
    	handleDeleteStereotype(element, "AutosarVariableInstance");
    	handleDeleteStereotype(element, "variableInstance");
    };
    
    mapping.BswModuleDescription=
    function(element){
    	handleChangeGeneralizationTarget(element);
    	handleDeleteStereotypeFromAggregates(element, "bswModuleDocumentation");
    };
    
    mapping.EcucParameterDerivationFormula=
    function(element){
    	handleDeleteStereotype(element, "l_ecucQueryString");
    };
    
    mapping.UserDefinedIPdu=
    function(element){
    	handleDeleteTag(element, "cddType");
    	handleDeleteStereotype(element, "UserDefinedIPdu");
    };
    
    mapping.CompuMethod=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.SwPointerTargetProps=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "targetCategory", "targetCategory");
    };
    
    mapping.CompuScale=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    	handleDeleteStereotypeFromAggregates(element, "symbol");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.AliasNameSet=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucDefinitionCollection=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.ImplementationDataType=
    function(element){
    	handleDeleteTag(element, "typeEmitter");
    	handleChangeGeneralizationTarget(element);
    	handleDeleteStereotypeFromAggregates(element, "SymbolProps");
    };
    
    mapping.FlexrayArTpNode=
    function(element){
    	handleDeleteStereotype(element, "FlexrayArTpNode");
    	handleDeleteStereotype(element, "l_connector");
    	handleDeleteStereotype(element, "l_tpAddress");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.FlexrayArTpConfig=
    function(element){
    	handleDeleteStereotype(element, "FlexrayArTpConfig");
    	handleDeleteStereotypeFromAggregates(element, "TpAddress");
    	handleDeleteStereotypeFromAggregates(element, "FlexrayArTpChannel");
    	handleDeleteStereotypeFromAggregates(element, "FlexrayArTpNode");
    };
    
    mapping.VariableInComponentInstanceRef=
    function(element){
    	handleDeleteStereotype(element, "VariableInComponentInstanceRef");
    	handleDeleteStereotype(element, "l_contextComponent");
    	handleDeleteStereotype(element, "l_contextDataPrototype");
    	handleDeleteStereotypeFromAggregates(element, "l_contextPortPrototype");
    	handleDeleteStereotype(element, "l_rootVariableDataPrototype");
    	handleDeleteStereotypeFromAggregates(element, "l_targetDataProtoype");
    };
    
    mapping.EcucEnumerationParamDef=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "defaultValue", "defaultValue");
    };
    
    mapping.AutosarParameterRef=
    function(element){
    	handleChangeTargetPropertyOnStereotype(element, "l_localParameter");
    };
    
    mapping.CommunicationConnector=
    function(element){
    	handleDeleteTag(element, "pncGatewayType");
    };
    
    mapping.IncludedModeDeclarationGroupSet=
    function(element){
    	handleDeleteStereotype(element, "IncludedModeDeclarationGroupSet");
    	handleDeleteStereotypeFromAggregates(element, "l_modeDeclarationGroup");
    	handleDeleteStereotypeFromAggregates(element, "prefix");
    };
    
    mapping.CanFrameTriggering=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "RxIdentifierRange");
    };
    
    mapping.NvProvideComSpec=
    function(element){
    	handleDeleteStereotype(element, "NvProvideComSpec");
    	handleDeleteStereotypeFromAggregates(element, "ValueSpecification");
    	handleDeleteStereotypeFromAggregates(element, "ValueSpecification");
    	handleDeleteStereotype(element, "l_variable");
    };
    
    mapping.ImplementationProps=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "symbol");
    };
    
    mapping.TraceReferrable=
    function(element){
    	handleDeleteTag(element, "category");
    };
    
    mapping.BswModuleEntity=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_schedulerNamePrefix");
    };
    
    mapping.EcucIndexableValue=
    function(element){
    	handleDeleteTag(element, "index");
    };
    
    mapping.ComplexDeviceDriverSwComponentType=
    function(element){
    	handleChangeTargetPropertyOnStereotype(element, "l_hardwareElement");
    };
    
    mapping.VariationPoint=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    	handleDeleteStereotypeFromAggregates(element, "blueprintCondition");
    };
    
    mapping.SwAddrMethod=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "option", "option");
    };
    
    mapping.EcucConditionFormula=
    function(element){
    	handleDeleteStereotype(element, "l_ecucQueryString");
    };
    
    mapping.EcucCommonAttributes=
    function(element){
    	handleDeleteTag(element, "requiresIndex");
    };
    
    mapping.BswModuleEntry=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "role", "role");
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EndToEndProtectionVariablePrototype=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "shortLabel");
    };
    
    mapping.IPduMapping=
    function(element){
    	handleDeleteTag(element, "pdurTpChunkSize");
    };
    
    mapping.CompuGenericMath=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "level", "level");
    };
    
    mapping.ARPackage=
    function(element){
    	handleChangeGeneralizationTarget(element);
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.McParameterElementGroup=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    };
    
    mapping.BswTriggerDirectImplementation=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "task", "task");
    };
    
    mapping.ISignalPort=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "DataFilter");
    };
    
    mapping.TDEventModeDeclaration=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_entryModeDeclaration");
    	handleDeleteStereotypeFromAggregates(element, "l_exitModeDeclaration");
    };
    
    mapping.DataConstrRule=
    function(element){
    	handleDeleteTag(element, "constrLevel");
    };
    
    mapping.EcucModuleDef=
    function(element){
    	handleChangeGeneralizationTarget(element);
    	handleDeleteStereotypeFromAggregates(element, "apiServicePrefix");
    };
    
    mapping.TraceableText=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.DataTypeMappingSet=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.VariableAccess=
    function(element){
    	handleDeleteTag(element, "scope");
    };
    
    mapping.ModeDeclaration=
    function(element){
    	handleDeleteTag(element, "value");
    };
    
    mapping.TDEventOccurrenceExpressionFormula=
    function(element){
    	handleDeleteStereotype(element, "TDEventOccurrenceExpressionFormula");
    	handleDeleteStereotype(element, "l_argument");
    	handleDeleteStereotype(element, "l_event");
    	handleDeleteStereotype(element, "l_variable");
    };
    
    mapping.NmCoordinator=
    function(element){
    	handleDeleteTag(element, "nmActiveCoordinator");
    	handleDeleteTag(element, "nmGlobalCoordinatorTime");
    };
    
    mapping.SectionNamePrefix=
    function(element){
    	handleDeleteStereotype(element, "SectionNamePrefix");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.RunnableEntityArgument=
    function(element){
    	handleDeleteStereotype(element, "RunnableEntityArgument");
    	handleDeleteStereotypeFromAggregates(element, "symbol");
    };
    
    mapping.TDEventBswModeDeclaration=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_entryModeDeclaration");
    	handleDeleteStereotypeFromAggregates(element, "l_exitModeDeclaration");
    };
    
    mapping.BswModeSenderPolicy=
    function(element){
    	handleDeleteTag(element, "enhancedModeApi");
    };
    
    mapping.Referrable=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortName", "shortName");
    };
    
    mapping.Keyword=
    function(element){
    	handleDeleteTag(element, "abbrName");
    };
    
    mapping.SwcInternalBehavior=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "IncludedModeDeclarationGroupSet");
    };
    
    mapping.ApplicationValueSpecification=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "category", "category");
    };
    
    mapping.McDataInstance=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "symbol", "symbol");
    };
    
    mapping.AgeConstraint=
    function(element){
    	handleDeleteStereotype(element, "AgeConstraint");
    	handleDeleteStereotypeFromAggregates(element, "maximum");
    	handleDeleteStereotypeFromAggregates(element, "minimum");
    	handleDeleteStereotype(element, "l_scope");
    };
    
    mapping.EcuInstance=
    function(element){
    	handleDeleteTag(element, "comEnableMDTForCyclicTransmission");
    };
    
    mapping.DiagnosticEventNeeds=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_inhibitingSecondaryFid");
    };
    
    mapping.TDEventComplex=
    function(element){
    	handleDeleteStereotype(element, "TDEventComplex");
    };
    
    mapping.EcuAbstractionSwComponentType=
    function(element){
    	handleChangeTargetPropertyOnStereotype(element, "l_hardwareElement");
    };
    
    mapping.AttributeValueVariationPoint=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    	handleDeleteTag(element, "blueprintValue");
    };
    
    mapping.ModeSwitchReceiverComSpec=
    function(element){
    	handleDeleteTag(element, "enhancedModeApi");
    };
    
    mapping.ParameterInAtomicSWCTypeInstanceRef=
    function(element){
    	handleChangeTargetPropertyOnStereotype(element, "l_rootParameterDataPrototype");
    };
    
    mapping.CanCommunicationConnector=
    function(element){
    	handleDeleteTag(element, "pncWakeupCanId");
    	handleDeleteTag(element, "pncWakeupCanIdExtended");
    	handleDeleteTag(element, "pncWakeupCanIdMask");
    	handleDeleteTag(element, "pncWakeupDataMask");
    	handleDeleteTag(element, "pncWakeupDlc");
    };
    
    mapping.PortPrototypeBlueprint=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_interface");
    };
    
    mapping.SymbolProps=
    function(element){
    	handleDeleteStereotype(element, "SymbolProps");
    };
    
    mapping.CIdentifier=
    function(element){
    	handleDeleteTag(element, "namePattern");
    	handleDeleteTag(element, "value");
    	handleDeleteStereotype(element, "CIdentifier");
    };
    
    mapping.DataConstr=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.SwRecordLayoutGroup=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    	handleStereotypeElementTagToInNewTag(element, "value", "swRecordLayoutComponent", "swRecordLayoutComponent");
    };
    
    mapping.AutosarOperationArgumentInstance=
    function(element){
    	handleDeleteStereotype(element, "AutosarOperationArgumentInstance");
    	handleDeleteStereotypeFromAggregates(element, "operationArgumentInstance");
    };
    
    mapping.RoleBasedDataAssignment=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "role", "role");
    	handleDeleteStereotypeFromAggregates(element, "usedDataElement");
    	handleDeleteStereotypeFromAggregates(element, "usedParameterElement");
    	handleDeleteStereotypeFromAggregates(element, "l_usedPim");
    };
    
    mapping.IncludedDataTypeSet=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "literalPrefix", "literalPrefix");
    };
    
    mapping.SensorActuatorSwComponentType=
    function(element){
    	handleChangeTargetPropertyOnStereotype(element, "l_sensorActuator");
    };
    
    mapping.ReceiverComSpec=
    function(element){
    	handleDeleteTag(element, "handleOutOfRangeStatus");
    	handleDeleteTag(element, "maxDeltaCounterInitShortLabel");
    	handleDeleteTag(element, "maxDeltaCounterInitValue");
    	handleDeleteStereotypeFromAggregates(element, "l_externalReplacement");
    	handleDeleteStereotypeFromAggregates(element, "maxDeltaCounterInit");
    };
    
    mapping.BswMgrNeeds=
    function(element){
    	handleDeleteStereotype(element, "BswMgrNeeds");
    };
    
    mapping.TimingDescriptionEvent=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "TDEventOccurrenceExpression");
    };
    
    mapping.InterpolationRoutine=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    };
    
    mapping.ModeDrivenTransmissionModeCondition=
    function(element){
    	handleDeleteStereotype(element, "ModeDrivenTransmissionModeCondition");
    	handleDeleteStereotype(element, "l_modeDeclaration");
    };
    
    mapping.ObdRatioServiceNeeds=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_usedSecondaryFid");
    };
    
    mapping.SwBaseType=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.Identifier=
    function(element){
    	handleDeleteTag(element, "mixedContentIndex");
    	handleDeleteTag(element, "namePattern");
    	handleDeleteTag(element, "value");
    	handleDeleteStereotype(element, "Identifier");
    };
    
    mapping.BswImplementation=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "vendorApiInfix", "vendorApiInfix");
    };
    
    mapping.RoleBasedPortAssignment=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "role", "role");
    };
    
    mapping.TransmissionModeDeclaration=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "modeDrivenFalseCondition");
    	handleDeleteStereotypeFromAggregates(element, "modeDrivenTrueCondition");
    };
    
    mapping.PortInterfaceBlueprintMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_derivedPortInterface");
    	handleDeleteStereotypeFromAggregates(element, "l_portInterfaceBlueprint");
    };
    
    mapping.PncMapping=
    function(element){
    	handleDeleteTag(element, "pncIdentifier");
    	handleDeleteStereotype(element, "PncMapping");
    	handleDeleteStereotypeFromAggregates(element, "l_pncGroup");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    	handleDeleteStereotypeFromAggregates(element, "PortGroupInSystemInstanceRef");
    	handleDeleteStereotypeFromAggregates(element, "l_wakeupFrame");
    };
    
    mapping.ReferenceBase=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    	handleDeleteTag(element, "SplittableFileName");
    };
    
    mapping.ExecutionTimeConstraint=
    function(element){
    	handleDeleteTag(element, "executionTimeType");
    	handleDeleteStereotype(element, "ExecutionTimeConstraint");
    	handleDeleteStereotypeFromAggregates(element, "ComponentInCompositionInstanceRef");
    	handleDeleteStereotype(element, "l_executable");
    	handleDeleteStereotypeFromAggregates(element, "maximum");
    	handleDeleteStereotypeFromAggregates(element, "minimum");
    };
    
    mapping.BlueprintMapping=
    function(element){
    	handleDeleteStereotype(element, "BlueprintMapping");
    	handleDeleteStereotypeFromAggregates(element, "l_blueprint");
    	handleDeleteStereotypeFromAggregates(element, "l_derivedObject");
    };
    
    mapping.BswModeReceiverPolicy=
    function(element){
    	handleDeleteTag(element, "enhancedModeApi");
    };
    
    mapping.RoleBasedBswModuleEntryAssignment=
    function(element){
    	handleDeleteStereotype(element, "RoleBasedBswModuleEntryAssignment");
    	handleDeleteStereotypeFromAggregates(element, "l_assignedEntry");
    	handleDeleteStereotypeFromAggregates(element, "role");
    };
    
    mapping.SwDataDefPropsContent=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "mcFunction", "mcFunction");
    	handleStereotypeElementTagToInNewTag(element, "value", "swInterpolationMethod", "swInterpolationMethod");
    };
    
    mapping.ModeDeclarationGroupPrototype=
    function(element){
    	handleDeleteTag(element, "swCalibrationAccess");
    };
    
    mapping.MultidimensionalTime=
    function(element){
    	handleDeleteTag(element, "cseCodeFactor");
    	handleRenameStereotype(element,"MultidimensionalTime","TimeValue");
    };
    
    mapping.ModeSwitchSenderComSpec=
    function(element){
    	handleDeleteTag(element, "enhancedModeApi");
    };
    
    mapping.InternalTriggeringPoint=
    function(element){
    	handleDeleteTag(element, "swImplPolicy");
    };
    
    mapping.RxIdentifierRange=
    function(element){
    	handleDeleteTag(element, "lowerCanId");
    	handleDeleteTag(element, "upperCanId");
    	handleDeleteStereotype(element, "RxIdentifierRange");
    };
    
    mapping.NmNode=
    function(element){
    	handleDeleteTag(element, "nmPassiveModeEnabled");
    };
    
    mapping.PortPrototypeBlueprintInitValue=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_dataPrototype");
    };
    
    mapping.SwcTiming=
    function(element){
    	handleDeleteStereotype(element, "l_behavior");
    };
    
    mapping.MemorySection=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "option", "option");
    	handleDeleteStereotype(element, "l_executableEntity");
    	handleDeleteStereotypeFromAggregates(element, "l_prefix");
    	handleDeleteStereotypeFromAggregates(element, "symbol");
    };
    
    mapping.ISignalProps=
    function(element){
    	handleDeleteTag(element, "handleOutOfRange");
    	handleDeleteStereotype(element, "ISignalProps");
    };
    
    mapping.BswInternalTriggeringPoint=
    function(element){
    	handleDeleteTag(element, "swImplPolicy");
    };
    
    mapping.AtomicSwComponentType=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "SymbolProps");
    };
    
    mapping.CanNmCluster=
    function(element){
    	handleDeleteTag(element, "nmCarWakeUpBitPosition");
    	handleDeleteTag(element, "nmCarWakeUpFilterEnabled");
    	handleDeleteTag(element, "nmCarWakeUpFilterNodeId");
    	handleDeleteTag(element, "nmCarWakeUpRxEnabled");
    };
    
    mapping.ScaleConstr=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    };
    
    mapping.PortPrototypeBlueprintMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_derivedPortPrototype");
    	handleDeleteStereotypeFromAggregates(element, "l_portPrototypeBlueprint");
    };
    
    mapping.System=
    function(element){
    	handleDeleteTag(element, "pncVectorLength");
    	handleDeleteTag(element, "pncVectorOffset");
    };
    
    mapping.PerInstanceMemory=
    function(element){
    	handleChangeGeneralizationTarget(element);
    	handleDeleteStereotypeFromAggregates(element, "SwDataDefProps");
    };
    
    mapping.FlatMap=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.SwcServiceDependency=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.FlexrayArTpChannel=
    function(element){
    	handleDeleteTag(element, "ackType");
    	handleDeleteTag(element, "extendedAddressing");
    	handleDeleteTag(element, "maxAr");
    	handleDeleteTag(element, "maxAs");
    	handleDeleteTag(element, "maxBs");
    	handleDeleteTag(element, "maxBufferRequest");
    	handleDeleteTag(element, "maxFrIf");
    	handleDeleteTag(element, "maxRetries");
    	handleDeleteTag(element, "maximumMessageLength");
    	handleDeleteTag(element, "minimumSeparationTime");
    	handleDeleteTag(element, "multicastSegmentation");
    	handleDeleteTag(element, "timeBr");
    	handleDeleteTag(element, "timeBuffer");
    	handleDeleteTag(element, "timeCs");
    	handleDeleteTag(element, "timeFrIf");
    	handleDeleteTag(element, "timeoutAr");
    	handleDeleteTag(element, "timeoutAs");
    	handleDeleteTag(element, "timeoutBs");
    	handleDeleteTag(element, "timeoutCr");
    	handleDeleteTag(element, "transmitCancellation");
    	handleDeleteStereotype(element, "FlexrayArTpChannel");
    	handleDeleteStereotype(element, "l_flowControlPdu");
    	handleDeleteStereotypeFromAggregates(element, "pduPool");
    	handleDeleteStereotypeFromAggregates(element, "FlexrayArTpConnection");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.BswServiceDependency=
    function(element){
    	handleDeleteStereotype(element, "BswServiceDependency");
    	handleDeleteStereotypeFromAggregates(element, "assignedData");
    	handleDeleteStereotypeFromAggregates(element, "assignedEntryRole");
    	handleDeleteStereotypeFromAggregates(element, "ServiceNeeds");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.ResourceConsumption=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "SectionNamePrefix");
    };
    
    mapping.ClientServerOperation=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.LinTpConnection=
    function(element){
    	handleDeleteTag(element, "dropNotRequestedNad");
    	handleDeleteTag(element, "timeoutAs");
    	handleDeleteTag(element, "timeoutCr");
    	handleDeleteTag(element, "timeoutCs");
    };
    
    mapping.ModeDeclarationGroup=
    function(element){
    	handleDeleteTag(element, "onTransitionValue");
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.RunnableEntity=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "symbol", "symbol");
    	handleChangeGeneralizationTarget(element);
    	handleDeleteStereotypeFromAggregates(element, "argument");
    };
    
    mapping.PortInterface=
    function(element){
    	handleDeleteTag(element, "serviceKind");
    };
    
    mapping.SwServiceArg=
    function(element){
    	handleDeleteTag(element, "direction");
    };
    
    mapping.FlexrayNmEcu=
    function(element){
    	handleDeleteTag(element, "nmRepeatMessageBitEnable");
    };
    
    mapping.BswSchedulerNamePrefix=
    function(element){
    	handleDeleteStereotype(element, "BswSchedulerNamePrefix");
    	handleDeleteStereotypeFromAggregates(element, "VariationPoint");
    };
    
    mapping.McSwEmulationMethodSupport=
    function(element){
    	handleStereotypeElementTagToInNewTag(element, "value", "category", "category");
    	handleStereotypeElementTagToInNewTag(element, "value", "shortLabel", "shortLabel");
    };
    
    mapping.FlexrayArTpConnection=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "FlexrayArTpConnection");
    	handleDeleteStereotypeFromAggregates(element, "l_directTpSdu");
    	handleDeleteStereotypeFromAggregates(element, "l_flowControlPdu");
    	handleDeleteStereotypeFromAggregates(element, "l_multicast");
    	handleDeleteStereotypeFromAggregates(element, "l_reversedTpSdu");
    	handleDeleteStereotypeFromAggregates(element, "l_source");
    	handleDeleteStereotypeFromAggregates(element, "l_target");
    	handleDeleteStereotypeFromAggregates(element, "l_transmitPdu");
    };
    
    mapping.BurstPatternEventTriggering=
    function(element){
    	handleDeleteTag(element, "minNumberOfOccurrences");
    	handleDeleteStereotypeFromAggregates(element, "patternJitter");
    	handleDeleteStereotypeFromAggregates(element, "patternPeriod");
    };
    
    mapping.CanTpConnection=
    function(element){
    	handleDeleteTag(element, "taType");
    };
    
    mapping.FlatInstanceDescriptor=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "role");
    	handleDeleteStereotypeFromAggregates(element, "SwDataDefProps");
    };
    
    
    return mapping;
}
